unit rmTestFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ZjGridDBA, ZJGrid, DB;

type
  TrmTestForm = class(TForm)
    ZJGrid1: TZJGrid;
    ZjGridDBA1: TZjGridDBA;
  private
    { Private declarations }
  public
    constructor Create(ADataSet: TDataSet);
  end;

procedure ShowTestForm(ADataSet: TDataSet);

implementation

{$R *.dfm}

procedure ShowTestForm(ADataSet: TDataSet);
var
  rmTestForm: TrmTestForm;
begin
  rmTestForm := TrmTestForm.Create(ADataSet);
  try
    rmTestForm.ShowModal;
  finally
    rmTestForm.Free;
  end;
end;

{ TrmTestForm }

constructor TrmTestForm.Create(ADataSet: TDataSet);
begin
  inherited Create(nil);
  ZjGridDBA1.DataSet := ADataSet;
end;

end.
